<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
  </head>
  <body>
    <div id="app" >
      <div v-if="!isEditing">
        <input type="text" v-model="user" />
        <input type="submit" value="Add" @click="storeuser" />
      </div>
      <div v-else>
        <input type="text" v-model="user" />
        <input type="submit" value="Update" @click="updateuser" />
      </div>

      <ol>
        <li v-for="(user, index) in users">
          {{ user.name }} {{user}}
          <button @click="edituser(index, user)">Edit</button>
          <button @click="removeuser(index)">Delete</button>
        </li>
      </ol>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script>
    <script>
      new Vue({
        el: "#app",

        data: {
          isEditing: false,
          user: "",
          users: [
                    {
                        'name' : 'Muhammad Iqbal Mubarpk',
                    },
                    {
                        'name' : 'Ruby Purwati',
                    },
                    {
                        'name' : 'Faqih Muhammad',
                },
          ],
          selecteduser: null,
        },

        methods: {
          storeuser() {
            this.users.push(this.user);
            this.user = "";
          },

          removeuser(index) {
            this.users.splice(index, 1);
          },

          updateuser() {
            this.users.splice(this.selectedIndex, 1, this.user);
            this.user = "";
            this.isEditing = false;
          },

          edituser(index, user) {
            this.isEditing = true;
            this.user = user;
            this.selectedIndex = index;
          },
        },
      });
    </script>
  </body>
</html>